.c-greeting-title {
  color: var(--color-text-highdark);
  font-weight: 700;
  line-height: 1.5;
  margin: 0;
}
.c-greeting-text > p {
  line-height: 1.8;
}
.c-greeting-text .c-greeting-date {
  margin: 0;
}
.c-greeting-author {
  align-items: center;
  display: flex;
  justify-content: flex-end;
  line-height: 1.47;
  margin: 0;
}
.c-greeting-author__position {
  font-weight: 400;
}
.c-greeting-author__name {
  font-weight: 700;
}
.c-company-name {
  background-color: var(--color-background-primary);
  border: 1px solid var(--color-primary);
}
.c-company-name__title {
  background-color: var(--color-primary);
  color: var(--color-text-on-accent);
  font-weight: 700;
  line-height: 1.67;
  margin: 0;
  text-align: center;
}
.c-company-name__data {
  margin: 0;
}
.c-company-name__data-title {
  color: var(--color-primary);
  font-weight: 700;
  line-height: 1.2;
  margin: 0;
}
.c-company-name__data-item {
  line-height: 1.4;
  text-align: center;
}
.c-company-name__data-en {
  display: block;
  font-weight: 400;
}
@media (max-width: 768px) {
  .l-greeting-content .c-greeting-title {
    margin: 0 0 var(--size-20);
  }
  .c-greeting-title {
    font-size: var(--size-24);
  }
  .c-greeting-text > p {
    margin-block: var(--size-20);
  }
  .c-greeting-author {
    gap: var(--size-24);
  }
  .c-greeting-author__position {
    font-size: var(--size-12);
  }
  .c-greeting-author__name {
    font-size: var(--size-14);
  }
  .c-company-name {
    border-radius: var(--size-16);
    padding: var(--size-20) var(--size-20) var(--size-32);
  }
  .c-company-name__title {
    border-radius: var(--size-4);
    font-size: var(--size-16);
    margin: 0 0 var(--size-20);
    padding: var(--size-4);
  }
  .c-company-name__data-title {
    font-size: var(--size-40);
    margin: 0 0 var(--size-20);
    text-align: center;
  }
  .c-company-name__data-item {
    font-size: var(--size-18);
  }
  .c-company-name__data-item + .c-company-name__data-item {
    margin: var(--size-16) 0 0;
  }
  .c-company-name__data-en {
    font-size: var(--size-24);
  }
}
@media (min-width: 769px) {
  .l-greeting-content .c-greeting-title {
    margin: 0 0 var(--size-24);
  }
  .c-greeting-title {
    font-size: var(--size-32);
  }
  .c-greeting-text > p {
    margin-block: var(--size-24);
  }
  .c-greeting-author {
    gap: var(--size-20);
  }
  .c-greeting-author__name {
    font-size: var(--size-20);
  }
  .c-company-name {
    align-items: center;
    border-radius: var(--size-12);
    display: flex;
    gap: var(--size-24);
    justify-content: center;
    padding: var(--size-24);
  }
  .c-company-name__title {
    border-radius: var(--size-8);
    font-size: var(--size-18);
    min-width: 12.5vw;
    padding: var(--size-6) var(--size-16) var(--size-8);
  }
  .c-company-name__data {
    align-items: center;
    display: flex;
    gap: var(--size-32);
  }
  .c-company-name__data-title {
    font-size: var(--size-64);
  }
  .c-company-name__data-item {
    font-size: var(--size-18);
  }
  .c-company-name__data-en {
    font-size: var(--size-24);
  }
}
@media (min-width: 1281px) {
  .l-greeting-content .c-greeting-title {
    margin: 0 0 var(--size-32);
  }
  .c-greeting-title {
    font-size: var(--size-48);
  }
  .c-greeting-text > p {
    font-size: var(--size-18);
    margin-block: var(--size-32);
  }
  .c-greeting-author {
    gap: var(--size-24);
  }
  .c-greeting-author__position {
    font-size: var(--size-18);
  }
  .c-greeting-author__name {
    font-size: var(--size-24);
  }
  .c-company-name {
    border-radius: var(--size-16);
    gap: var(--size-40);
    padding: var(--size-40) var(--size-80);
  }
  .c-company-name__title {
    font-size: var(--size-24);
    min-width: 10.417vw;
  }
  .c-company-name__data {
    gap: var(--size-40);
  }
  .c-company-name__data-title {
    font-size: var(--size-80);
  }
  .c-company-name__data-item {
    font-size: var(--size-20);
  }
  .c-company-name__data-en {
    font-size: var(--size-32);
  }
}
@media (min-width: 1921px) {
  .l-greeting-content .c-greeting-title {
    margin: 0 0 var(--size-48);
  }
  .c-greeting-title {
    font-size: var(--size-56);
  }
  .c-greeting-text > p {
    font-size: var(--size-20);
    margin-block: var(--size-40);
  }
  .c-company-name {
    border-radius: var(--size-12);
    gap: var(--size-48);
    padding: var(--size-28) var(--size-64);
  }
  .c-company-name__title {
    min-width: 7.813vw;
    padding: var(--size-8) var(--size-40) var(--size-12);
  }
  .c-company-name__data {
    gap: var(--size-56);
  }
}
